## visad.browser
Class Slider

    java.lang.Object
      java.awt.Component
          visad.browser.Slider

All Implemented Interfaces:
  EventListener, ImageObserver, MenuContainer, MouseListener, MouseMotionListener, Serializable

public class Slider
extends Component
implements MouseListener, MouseMotionListener

A simple slider widget.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` `GRIP_BOTTOM_Y` Y-coordinate of bottom of grip.
`static int` `GRIP_HEIGHT` Height of grip.
`static int` `GRIP_TOP_Y` Y-coordinate of top of grip.
`static int` `GRIP_WIDTH` Width of grip.
`static int` `LINE_LEVEL` Y-coordinate of slider line.
`protected float` `maximum` Maximum value of slider.
`protected Dimension` `maxSize` Maximum widget size.
`protected float` `minimum` Minimum value of slider.
`protected Dimension` `minSize` Minimum widget size.
`protected Dimension` `prefSize` Preferred widget size.
`static int` `SLIDER_PREF_HEIGHT` Preferred slider height.
`static int` `SLIDER_PREF_WIDTH` Preferred slider width.
`protected float` `value` Current value of slider.
`protected int` `width` Current width of slider.

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Slider()` Constructs a slider with default value, minimum and maximum.
`Slider(float value, float min, float max)` Constructs a slider with the specified value, minimum and maximum.

Method Summary
`void` `addActionListener(ActionListener l)` Adds a listener to be notified of slider changes.
`float` `getMaximum()` Gets maximum slider value.
`Dimension` `getMaximumSize()` Returns maximum size oa slider.
`float` `getMinimum()` Gets minimum slider value.
`Dimension` `getMinimumSize()` Returns minimum size of slider.
`Dimension` `getPreferredSize()` Returns preferred size of slider.
`float` `getValue()` Gets current slider value.
`static void` `main(String[] argv)` Main method for testing purposes.
`void` `mouseClicked(MouseEvent e)` Not used.
`void` `mouseDragged(MouseEvent e)` MouseMotionListener method for moving grip.
`void` `mouseEntered(MouseEvent e)` Not used.
`void` `mouseExited(MouseEvent e)` Not used.
`void` `mouseMoved(MouseEvent e)` Not used.
`void` `mousePressed(MouseEvent e)` MouseListener method for moving grip.
`void` `mouseReleased(MouseEvent e)` MouseListener method for moving grip.
`void` `notifyListeners()` Notifies listeners of slider change.
`void` `paint(Graphics g)` Draws the slider.
`void` `removeActionListener(ActionListener l)` Removes a listener to be notified of slider changes.
`void` `repaint()`
`void` `setActionCommand(String cmd)` Sets command string for slider change notification.
`void` `setBounds(float min, float max)` Sets minimum and maximum slider values.
`void` `setBounds(int x, int y, int w, int h)` Detects changes in slider width.
`void` `setMaximumSize(Dimension dim)` Sets preferred size of slider.
`void` `setMinimumSize(Dimension dim)` Sets minimum size of slider.
`void` `setPreferredSize(Dimension dim)` Sets preferred size of slider.
`void` `setValue(float value)` Sets current slider value.

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SLIDER_PREF_HEIGHT

    public static final int SLIDER_PREF_HEIGHT

  Preferred slider height.

  See Also:
    Constant Field Values

### SLIDER_PREF_WIDTH

    public static final int SLIDER_PREF_WIDTH

  Preferred slider width.

  See Also:
    Constant Field Values

### GRIP_WIDTH

    public static final int GRIP_WIDTH

  Width of grip.

  See Also:
    Constant Field Values

### GRIP_HEIGHT

    public static final int GRIP_HEIGHT

  Height of grip.

  See Also:
    Constant Field Values

### GRIP_TOP_Y

    public static final int GRIP_TOP_Y

  Y-coordinate of top of grip.

  See Also:
    Constant Field Values

### GRIP_BOTTOM_Y

    public static final int GRIP_BOTTOM_Y

  Y-coordinate of bottom of grip.

  See Also:
    Constant Field Values

### LINE_LEVEL

    public static final int LINE_LEVEL

  Y-coordinate of slider line.

  See Also:
    Constant Field Values

### width

    protected int width

  Current width of slider.

### value

    protected float value

  Current value of slider.

### minimum

    protected float minimum

  Minimum value of slider.

### maximum

    protected float maximum

  Maximum value of slider.

### minSize

    protected Dimension minSize

  Minimum widget size.

### prefSize

    protected Dimension prefSize

  Preferred widget size.

### maxSize

    protected Dimension maxSize

  Maximum widget size.

Constructor Detail

### Slider

    public Slider()

  Constructs a slider with default value, minimum and maximum.

### Slider

    public Slider(float value,
                  float min,
                  float max)

  Constructs a slider with the specified value, minimum and maximum.

Method Detail

### getValue

    public float getValue()

  Gets current slider value.

### getMinimum

    public float getMinimum()

  Gets minimum slider value.

### getMaximum

    public float getMaximum()

  Gets maximum slider value.

### setValue

    public void setValue(float value)

  Sets current slider value.

### setBounds

    public void setBounds(float min,
                          float max)

  Sets minimum and maximum slider values.

### setBounds

    public void setBounds(int x,
                          int y,
                          int w,
                          int h)

  Detects changes in slider width.

### addActionListener

    public void addActionListener(ActionListener l)

  Adds a listener to be notified of slider changes.

### removeActionListener

    public void removeActionListener(ActionListener l)

  Removes a listener to be notified of slider changes.

### setActionCommand

    public void setActionCommand(String cmd)

  Sets command string for slider change notification.

### notifyListeners

    public void notifyListeners()

  Notifies listeners of slider change.

### mousePressed

    public void mousePressed(MouseEvent e)

  MouseListener method for moving grip.

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  MouseListener method for moving grip.

  Specified by:
    `mouseReleased` in interface `MouseListener`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Not used.

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Not used.

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Not used.

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  MouseMotionListener method for moving grip.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Not used.

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### getMinimumSize

    public Dimension getMinimumSize()

  Returns minimum size of slider.

### setMinimumSize

    public void setMinimumSize(Dimension dim)

  Sets minimum size of slider.

### getPreferredSize

    public Dimension getPreferredSize()

  Returns preferred size of slider.

### setPreferredSize

    public void setPreferredSize(Dimension dim)

  Sets preferred size of slider.

### getMaximumSize

    public Dimension getMaximumSize()

  Returns maximum size oa slider.

### setMaximumSize

    public void setMaximumSize(Dimension dim)

  Sets preferred size of slider.

### paint

    public void paint(Graphics g)

  Draws the slider.

### repaint

    public void repaint()

### main

    public static void main(String[] argv)

  Main method for testing purposes.